public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/rosdep/
Date: Thu, 17 Sep 2015 10:41:47 +0000 (UTC)	[thread overview]
Message-ID: <1442486288.4641980782a84d95b7ae1f8d1e32e01bc5e52da6.aballier@gentoo> (raw)

commit:     4641980782a84d95b7ae1f8d1e32e01bc5e52da6
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 17 10:38:08 2015 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Sep 17 10:38:08 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=46419807

dev-util/rosdep: initial import. ebuild by me.

Package-Manager: portage-2.2.20.1

 dev-util/rosdep/Manifest             |  1 +
 dev-util/rosdep/metadata.xml         |  5 +++
 dev-util/rosdep/rosdep-0.11.2.ebuild | 61 ++++++++++++++++++++++++++++++++++++
 dev-util/rosdep/rosdep-9999.ebuild   | 61 ++++++++++++++++++++++++++++++++++++
 4 files changed, 128 insertions(+)

diff --git a/dev-util/rosdep/Manifest b/dev-util/rosdep/Manifest
new file mode 100644
index 0000000..949807d
--- /dev/null
+++ b/dev-util/rosdep/Manifest
@@ -0,0 +1 @@
+DIST rosdep-0.11.2.tar.gz 106456 SHA256 89da05bdc082005815a9679dc34509a16647374d746a9e636c4238dd8f7aed9e SHA512 55057bb478dce1a7be3025d52fa6fb616b2de95017981ead934d7965282fa6ceb81780b7825d914531f87af492f3b5ce91ecf2607e6bddb65e13744e8a8d6743 WHIRLPOOL 37407d99d58f62c00a54b94a5820cab599c7700be355132e5d7b9d277faa220f89d68c9950cd386e984c64a1f0c493d53db15b31082f485d4786aff232f73d34

diff --git a/dev-util/rosdep/metadata.xml b/dev-util/rosdep/metadata.xml
new file mode 100644
index 0000000..c42ea5b
--- /dev/null
+++ b/dev-util/rosdep/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>ros</herd>
+</pkgmetadata>

diff --git a/dev-util/rosdep/rosdep-0.11.2.ebuild b/dev-util/rosdep/rosdep-0.11.2.ebuild
new file mode 100644
index 0000000..7e6194f
--- /dev/null
+++ b/dev-util/rosdep/rosdep-0.11.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+	SCM="git-r3"
+	EGIT_REPO_URI="https://github.com/ros-infrastructure/rosdep"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Command-line tool for installing ROS system dependencies"
+HOMEPAGE="http://wiki.ros.org/rosdep"
+if [ "${PV#9999}" != "${PV}" ] ; then
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+		http://github.com/ros-infrastructure/rosdep/archive/${PV}.tar.gz -> ${P}.tar.gz
+	"
+	KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+	dev-python/catkin_pkg[${PYTHON_USEDEP}]
+	dev-python/rospkg[${PYTHON_USEDEP}]
+	dev-python/rosdistro[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	test? (
+		dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/coverage[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	nosetests --with-coverage --cover-package=rosdep2 --with-xunit test || die
+}
+
+pkg_postrm() {
+	if [ "${ROOT:-/}" = "/" ] ; then
+		einfo "Removing rosdep default sources list."
+		rm -f "${EPREFIX}/etc/ros/rosdep/sources.list.d/20-default.list"
+	fi
+}
+
+pkg_postinst() {
+	if [ "${ROOT:-/}" = "/" -a ! -f "${EPREFIX}/etc/ros/rosdep/sources.list.d/20-default.list" ] ; then
+		einfo "Initializing rosdep"
+		rosdep init
+	fi
+}

diff --git a/dev-util/rosdep/rosdep-9999.ebuild b/dev-util/rosdep/rosdep-9999.ebuild
new file mode 100644
index 0000000..7e6194f
--- /dev/null
+++ b/dev-util/rosdep/rosdep-9999.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+	SCM="git-r3"
+	EGIT_REPO_URI="https://github.com/ros-infrastructure/rosdep"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Command-line tool for installing ROS system dependencies"
+HOMEPAGE="http://wiki.ros.org/rosdep"
+if [ "${PV#9999}" != "${PV}" ] ; then
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+		http://github.com/ros-infrastructure/rosdep/archive/${PV}.tar.gz -> ${P}.tar.gz
+	"
+	KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+	dev-python/catkin_pkg[${PYTHON_USEDEP}]
+	dev-python/rospkg[${PYTHON_USEDEP}]
+	dev-python/rosdistro[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	test? (
+		dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/coverage[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	nosetests --with-coverage --cover-package=rosdep2 --with-xunit test || die
+}
+
+pkg_postrm() {
+	if [ "${ROOT:-/}" = "/" ] ; then
+		einfo "Removing rosdep default sources list."
+		rm -f "${EPREFIX}/etc/ros/rosdep/sources.list.d/20-default.list"
+	fi
+}
+
+pkg_postinst() {
+	if [ "${ROOT:-/}" = "/" -a ! -f "${EPREFIX}/etc/ros/rosdep/sources.list.d/20-default.list" ] ; then
+		einfo "Initializing rosdep"
+		rosdep init
+	fi
+}


             reply	other threads:[~2015-09-17 10:41 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-17 10:41 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-09-26  9:33 [gentoo-commits] repo/gentoo:master commit in: dev-util/rosdep/ Alexis Ballier
2015-10-06  8:41 Alexis Ballier
2015-10-06  8:41 Alexis Ballier
2016-05-26  9:31 Alexis Ballier
2017-02-09 17:46 Alexis Ballier
2017-02-09 17:46 Alexis Ballier
2017-02-27 17:10 Alexis Ballier
2017-07-30 16:44 Alexis Ballier
2017-08-04 18:40 Alexis Ballier
2018-02-12 14:03 Alexis Ballier
2018-02-12 14:03 Alexis Ballier
2018-02-15  5:52 Alexis Ballier
2018-03-25 13:48 Alexis Ballier
2018-03-25 13:48 Alexis Ballier
2018-12-21 15:51 Alexis Ballier
2019-01-15 10:46 Alexis Ballier
2019-01-15 10:46 Alexis Ballier
2019-02-08 11:21 Alexis Ballier
2020-08-07 15:57 Alexis Ballier
2020-08-17 12:53 Sam James
2020-10-20 12:44 Alexis Ballier
2020-10-20 17:09 Alexis Ballier
2020-10-22 10:46 Alexis Ballier
2021-06-01  0:40 Sam James
2021-08-06 14:35 Alexis Ballier
2021-10-04 14:22 Arthur Zamarin
2021-10-04 14:22 Arthur Zamarin
2021-12-26  2:04 Sam James
2022-03-19 14:02 Arthur Zamarin
2022-03-19 14:02 Arthur Zamarin
2022-10-27 14:05 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1442486288.4641980782a84d95b7ae1f8d1e32e01bc5e52da6.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox